#if !defined COSISIN_H
#define COSISIN_H

#define BITS        11
#define NR_ENTRIES  (1 << (BITS))
#define BIT(A,N)    (((A) >> (N)) & 1)

__constant float2 cosisin_table[NR_ENTRIES] __attribute__((doublepump)) = {
(float2) (1.000000f, 0.000000f),
(float2) (1.000000f, 0.000384f),
(float2) (1.000000f, 0.000767f),
(float2) (0.999999f, 0.001151f),
(float2) (0.999999f, 0.001535f),
(float2) (0.999998f, 0.001918f),
(float2) (0.999997f, 0.002302f),
(float2) (0.999996f, 0.002686f),
(float2) (0.999995f, 0.003069f),
(float2) (0.999994f, 0.003453f),
(float2) (0.999993f, 0.003837f),
(float2) (0.999991f, 0.004220f),
(float2) (0.999989f, 0.004604f),
(float2) (0.999988f, 0.004988f),
(float2) (0.999986f, 0.005372f),
(float2) (0.999983f, 0.005755f),
(float2) (0.999981f, 0.006139f),
(float2) (0.999979f, 0.006523f),
(float2) (0.999976f, 0.006906f),
(float2) (0.999973f, 0.007290f),
(float2) (0.999971f, 0.007674f),
(float2) (0.999968f, 0.008057f),
(float2) (0.999964f, 0.008441f),
(float2) (0.999961f, 0.008825f),
(float2) (0.999958f, 0.009208f),
(float2) (0.999954f, 0.009592f),
(float2) (0.999950f, 0.009976f),
(float2) (0.999946f, 0.010359f),
(float2) (0.999942f, 0.010743f),
(float2) (0.999938f, 0.011127f),
(float2) (0.999934f, 0.011510f),
(float2) (0.999929f, 0.011894f),
(float2) (0.999925f, 0.012278f),
(float2) (0.999920f, 0.012661f),
(float2) (0.999915f, 0.013045f),
(float2) (0.999910f, 0.013428f),
(float2) (0.999905f, 0.013812f),
(float2) (0.999899f, 0.014196f),
(float2) (0.999894f, 0.014579f),
(float2) (0.999888f, 0.014963f),
(float2) (0.999882f, 0.015347f),
(float2) (0.999876f, 0.015730f),
(float2) (0.999870f, 0.016114f),
(float2) (0.999864f, 0.016498f),
(float2) (0.999858f, 0.016881f),
(float2) (0.999851f, 0.017265f),
(float2) (0.999844f, 0.017648f),
(float2) (0.999837f, 0.018032f),
(float2) (0.999830f, 0.018416f),
(float2) (0.999823f, 0.018799f),
(float2) (0.999816f, 0.019183f),
(float2) (0.999809f, 0.019567f),
(float2) (0.999801f, 0.019950f),
(float2) (0.999793f, 0.020334f),
(float2) (0.999785f, 0.020717f),
(float2) (0.999777f, 0.021101f),
(float2) (0.999769f, 0.021485f),
(float2) (0.999761f, 0.021868f),
(float2) (0.999752f, 0.022252f),
(float2) (0.999744f, 0.022635f),
(float2) (0.999735f, 0.023019f),
(float2) (0.999726f, 0.023402f),
(float2) (0.999717f, 0.023786f),
(float2) (0.999708f, 0.024170f),
(float2) (0.999699f, 0.024553f),
(float2) (0.999689f, 0.024937f),
(float2) (0.999679f, 0.025320f),
(float2) (0.999670f, 0.025704f),
(float2) (0.999660f, 0.026087f),
(float2) (0.999650f, 0.026471f),
(float2) (0.999639f, 0.026855f),
(float2) (0.999629f, 0.027238f),
(float2) (0.999618f, 0.027622f),
(float2) (0.999608f, 0.028005f),
(float2) (0.999597f, 0.028389f),
(float2) (0.999586f, 0.028772f),
(float2) (0.999575f, 0.029156f),
(float2) (0.999564f, 0.029539f),
(float2) (0.999552f, 0.029923f),
(float2) (0.999541f, 0.030306f),
(float2) (0.999529f, 0.030690f),
(float2) (0.999517f, 0.031073f),
(float2) (0.999505f, 0.031457f),
(float2) (0.999493f, 0.031840f),
(float2) (0.999481f, 0.032224f),
(float2) (0.999468f, 0.032607f),
(float2) (0.999456f, 0.032991f),
(float2) (0.999443f, 0.033374f),
(float2) (0.999430f, 0.033758f),
(float2) (0.999417f, 0.034141f),
(float2) (0.999404f, 0.034525f),
(float2) (0.999391f, 0.034908f),
(float2) (0.999377f, 0.035291f),
(float2) (0.999363f, 0.035675f),
(float2) (0.999350f, 0.036058f),
(float2) (0.999336f, 0.036442f),
(float2) (0.999322f, 0.036825f),
(float2) (0.999308f, 0.037209f),
(float2) (0.999293f, 0.037592f),
(float2) (0.999279f, 0.037975f),
(float2) (0.999264f, 0.038359f),
(float2) (0.999249f, 0.038742f),
(float2) (0.999234f, 0.039126f),
(float2) (0.999219f, 0.039509f),
(float2) (0.999204f, 0.039892f),
(float2) (0.999189f, 0.040276f),
(float2) (0.999173f, 0.040659f),
(float2) (0.999157f, 0.041043f),
(float2) (0.999142f, 0.041426f),
(float2) (0.999126f, 0.041809f),
(float2) (0.999109f, 0.042193f),
(float2) (0.999093f, 0.042576f),
(float2) (0.999077f, 0.042959f),
(float2) (0.999060f, 0.043343f),
(float2) (0.999044f, 0.043726f),
(float2) (0.999027f, 0.044109f),
(float2) (0.999010f, 0.044492f),
(float2) (0.998993f, 0.044876f),
(float2) (0.998975f, 0.045259f),
(float2) (0.998958f, 0.045642f),
(float2) (0.998940f, 0.046026f),
(float2) (0.998923f, 0.046409f),
(float2) (0.998905f, 0.046792f),
(float2) (0.998887f, 0.047175f),
(float2) (0.998868f, 0.047559f),
(float2) (0.998850f, 0.047942f),
(float2) (0.998832f, 0.048325f),
(float2) (0.998813f, 0.048708f),
(float2) (0.998794f, 0.049092f),
(float2) (0.998775f, 0.049475f),
(float2) (0.998756f, 0.049858f),
(float2) (0.998737f, 0.050241f),
(float2) (0.998718f, 0.050624f),
(float2) (0.998698f, 0.051008f),
(float2) (0.998679f, 0.051391f),
(float2) (0.998659f, 0.051774f),
(float2) (0.998639f, 0.052157f),
(float2) (0.998619f, 0.052540f),
(float2) (0.998599f, 0.052923f),
(float2) (0.998578f, 0.053307f),
(float2) (0.998558f, 0.053690f),
(float2) (0.998537f, 0.054073f),
(float2) (0.998516f, 0.054456f),
(float2) (0.998495f, 0.054839f),
(float2) (0.998474f, 0.055222f),
(float2) (0.998453f, 0.055605f),
(float2) (0.998431f, 0.055988f),
(float2) (0.998410f, 0.056371f),
(float2) (0.998388f, 0.056755f),
(float2) (0.998366f, 0.057138f),
(float2) (0.998344f, 0.057521f),
(float2) (0.998322f, 0.057904f),
(float2) (0.998300f, 0.058287f),
(float2) (0.998277f, 0.058670f),
(float2) (0.998255f, 0.059053f),
(float2) (0.998232f, 0.059436f),
(float2) (0.998209f, 0.059819f),
(float2) (0.998186f, 0.060202f),
(float2) (0.998163f, 0.060585f),
(float2) (0.998140f, 0.060968f),
(float2) (0.998116f, 0.061351f),
(float2) (0.998093f, 0.061734f),
(float2) (0.998069f, 0.062117f),
(float2) (0.998045f, 0.062499f),
(float2) (0.998021f, 0.062882f),
(float2) (0.997997f, 0.063265f),
(float2) (0.997972f, 0.063648f),
(float2) (0.997948f, 0.064031f),
(float2) (0.997923f, 0.064414f),
(float2) (0.997898f, 0.064797f),
(float2) (0.997874f, 0.065180f),
(float2) (0.997848f, 0.065563f),
(float2) (0.997823f, 0.065946f),
(float2) (0.997798f, 0.066328f),
(float2) (0.997772f, 0.066711f),
(float2) (0.997747f, 0.067094f),
(float2) (0.997721f, 0.067477f),
(float2) (0.997695f, 0.067860f),
(float2) (0.997669f, 0.068242f),
(float2) (0.997643f, 0.068625f),
(float2) (0.997616f, 0.069008f),
(float2) (0.997590f, 0.069391f),
(float2) (0.997563f, 0.069773f),
(float2) (0.997536f, 0.070156f),
(float2) (0.997509f, 0.070539f),
(float2) (0.997482f, 0.070922f),
(float2) (0.997455f, 0.071304f),
(float2) (0.997427f, 0.071687f),
(float2) (0.997400f, 0.072070f),
(float2) (0.997372f, 0.072452f),
(float2) (0.997344f, 0.072835f),
(float2) (0.997316f, 0.073218f),
(float2) (0.997288f, 0.073600f),
(float2) (0.997259f, 0.073983f),
(float2) (0.997231f, 0.074366f),
(float2) (0.997202f, 0.074748f),
(float2) (0.997174f, 0.075131f),
(float2) (0.997145f, 0.075514f),
(float2) (0.997116f, 0.075896f),
(float2) (0.997087f, 0.076279f),
(float2) (0.997057f, 0.076661f),
(float2) (0.997028f, 0.077044f),
(float2) (0.996998f, 0.077426f),
(float2) (0.996968f, 0.077809f),
(float2) (0.996938f, 0.078191f),
(float2) (0.996908f, 0.078574f),
(float2) (0.996878f, 0.078956f),
(float2) (0.996848f, 0.079339f),
(float2) (0.996817f, 0.079721f),
(float2) (0.996787f, 0.080104f),
(float2) (0.996756f, 0.080486f),
(float2) (0.996725f, 0.080869f),
(float2) (0.996694f, 0.081251f),
(float2) (0.996662f, 0.081633f),
(float2) (0.996631f, 0.082016f),
(float2) (0.996599f, 0.082398f),
(float2) (0.996568f, 0.082781f),
(float2) (0.996536f, 0.083163f),
(float2) (0.996504f, 0.083545f),
(float2) (0.996472f, 0.083928f),
(float2) (0.996440f, 0.084310f),
(float2) (0.996407f, 0.084692f),
(float2) (0.996375f, 0.085075f),
(float2) (0.996342f, 0.085457f),
(float2) (0.996309f, 0.085839f),
(float2) (0.996276f, 0.086221f),
(float2) (0.996243f, 0.086604f),
(float2) (0.996210f, 0.086986f),
(float2) (0.996176f, 0.087368f),
(float2) (0.996143f, 0.087750f),
(float2) (0.996109f, 0.088132f),
(float2) (0.996075f, 0.088515f),
(float2) (0.996041f, 0.088897f),
(float2) (0.996007f, 0.089279f),
(float2) (0.995972f, 0.089661f),
(float2) (0.995938f, 0.090043f),
(float2) (0.995903f, 0.090425f),
(float2) (0.995868f, 0.090807f),
(float2) (0.995834f, 0.091190f),
(float2) (0.995798f, 0.091572f),
(float2) (0.995763f, 0.091954f),
(float2) (0.995728f, 0.092336f),
(float2) (0.995692f, 0.092718f),
(float2) (0.995657f, 0.093100f),
(float2) (0.995621f, 0.093482f),
(float2) (0.995585f, 0.093864f),
(float2) (0.995549f, 0.094246f),
(float2) (0.995513f, 0.094628f),
(float2) (0.995476f, 0.095010f),
(float2) (0.995440f, 0.095392f),
(float2) (0.995403f, 0.095774f),
(float2) (0.995366f, 0.096156f),
(float2) (0.995329f, 0.096537f),
(float2) (0.995292f, 0.096919f),
(float2) (0.995255f, 0.097301f),
(float2) (0.995218f, 0.097683f),
(float2) (0.995180f, 0.098065f),
(float2) (0.995142f, 0.098447f),
(float2) (0.995104f, 0.098829f),
(float2) (0.995066f, 0.099210f),
(float2) (0.995028f, 0.099592f),
(float2) (0.994990f, 0.099974f),
(float2) (0.994952f, 0.100356f),
(float2) (0.994913f, 0.100737f),
(float2) (0.994874f, 0.101119f),
(float2) (0.994835f, 0.101501f),
(float2) (0.994796f, 0.101882f),
(float2) (0.994757f, 0.102264f),
(float2) (0.994718f, 0.102646f),
(float2) (0.994679f, 0.103027f),
(float2) (0.994639f, 0.103409f),
(float2) (0.994599f, 0.103791f),
(float2) (0.994559f, 0.104172f),
(float2) (0.994519f, 0.104554f),
(float2) (0.994479f, 0.104935f),
(float2) (0.994439f, 0.105317f),
(float2) (0.994398f, 0.105699f),
(float2) (0.994358f, 0.106080f),
(float2) (0.994317f, 0.106462f),
(float2) (0.994276f, 0.106843f),
(float2) (0.994235f, 0.107225f),
(float2) (0.994194f, 0.107606f),
(float2) (0.994152f, 0.107987f),
(float2) (0.994111f, 0.108369f),
(float2) (0.994069f, 0.108750f),
(float2) (0.994027f, 0.109132f),
(float2) (0.993985f, 0.109513f),
(float2) (0.993943f, 0.109894f),
(float2) (0.993901f, 0.110276f),
(float2) (0.993859f, 0.110657f),
(float2) (0.993816f, 0.111038f),
(float2) (0.993773f, 0.111420f),
(float2) (0.993731f, 0.111801f),
(float2) (0.993688f, 0.112182f),
(float2) (0.993645f, 0.112564f),
(float2) (0.993601f, 0.112945f),
(float2) (0.993558f, 0.113326f),
(float2) (0.993514f, 0.113707f),
(float2) (0.993471f, 0.114088f),
(float2) (0.993427f, 0.114470f),
(float2) (0.993383f, 0.114851f),
(float2) (0.993339f, 0.115232f),
(float2) (0.993294f, 0.115613f),
(float2) (0.993250f, 0.115994f),
(float2) (0.993205f, 0.116375f),
(float2) (0.993161f, 0.116756f),
(float2) (0.993116f, 0.117137f),
(float2) (0.993071f, 0.117518f),
(float2) (0.993026f, 0.117899f),
(float2) (0.992980f, 0.118280f),
(float2) (0.992935f, 0.118661f),
(float2) (0.992889f, 0.119042f),
(float2) (0.992843f, 0.119423f),
(float2) (0.992798f, 0.119804f),
(float2) (0.992752f, 0.120185f),
(float2) (0.992705f, 0.120566f),
(float2) (0.992659f, 0.120947f),
(float2) (0.992613f, 0.121328f),
(float2) (0.992566f, 0.121709f),
(float2) (0.992519f, 0.122089f),
(float2) (0.992472f, 0.122470f),
(float2) (0.992425f, 0.122851f),
(float2) (0.992378f, 0.123232f),
(float2) (0.992331f, 0.123612f),
(float2) (0.992283f, 0.123993f),
(float2) (0.992235f, 0.124374f),
(float2) (0.992188f, 0.124755f),
(float2) (0.992140f, 0.125135f),
(float2) (0.992092f, 0.125516f),
(float2) (0.992043f, 0.125897f),
(float2) (0.991995f, 0.126277f),
(float2) (0.991946f, 0.126658f),
(float2) (0.991898f, 0.127038f),
(float2) (0.991849f, 0.127419f),
(float2) (0.991800f, 0.127800f),
(float2) (0.991751f, 0.128180f),
(float2) (0.991702f, 0.128561f),
(float2) (0.991652f, 0.128941f),
(float2) (0.991603f, 0.129321f),
(float2) (0.991553f, 0.129702f),
(float2) (0.991503f, 0.130082f),
(float2) (0.991453f, 0.130463f),
(float2) (0.991403f, 0.130843f),
(float2) (0.991353f, 0.131224f),
(float2) (0.991302f, 0.131604f),
(float2) (0.991252f, 0.131984f),
(float2) (0.991201f, 0.132365f),
(float2) (0.991150f, 0.132745f),
(float2) (0.991099f, 0.133125f),
(float2) (0.991048f, 0.133505f),
(float2) (0.990997f, 0.133886f),
(float2) (0.990945f, 0.134266f),
(float2) (0.990894f, 0.134646f),
(float2) (0.990842f, 0.135026f),
(float2) (0.990790f, 0.135406f),
(float2) (0.990738f, 0.135787f),
(float2) (0.990686f, 0.136167f),
(float2) (0.990634f, 0.136547f),
(float2) (0.990581f, 0.136927f),
(float2) (0.990529f, 0.137307f),
(float2) (0.990476f, 0.137687f),
(float2) (0.990423f, 0.138067f),
(float2) (0.990370f, 0.138447f),
(float2) (0.990317f, 0.138827f),
(float2) (0.990263f, 0.139207f),
(float2) (0.990210f, 0.139587f),
(float2) (0.990156f, 0.139967f),
(float2) (0.990102f, 0.140347f),
(float2) (0.990049f, 0.140726f),
(float2) (0.989994f, 0.141106f),
(float2) (0.989940f, 0.141486f),
(float2) (0.989886f, 0.141866f),
(float2) (0.989831f, 0.142246f),
(float2) (0.989777f, 0.142626f),
(float2) (0.989722f, 0.143005f),
(float2) (0.989667f, 0.143385f),
(float2) (0.989612f, 0.143765f),
(float2) (0.989557f, 0.144144f),
(float2) (0.989501f, 0.144524f),
(float2) (0.989446f, 0.144904f),
(float2) (0.989390f, 0.145283f),
(float2) (0.989334f, 0.145663f),
(float2) (0.989278f, 0.146043f),
(float2) (0.989222f, 0.146422f),
(float2) (0.989166f, 0.146802f),
(float2) (0.989110f, 0.147181f),
(float2) (0.989053f, 0.147561f),
(float2) (0.988996f, 0.147940f),
(float2) (0.988939f, 0.148320f),
(float2) (0.988883f, 0.148699f),
(float2) (0.988825f, 0.149078f),
(float2) (0.988768f, 0.149458f),
(float2) (0.988711f, 0.149837f),
(float2) (0.988653f, 0.150216f),
(float2) (0.988595f, 0.150596f),
(float2) (0.988538f, 0.150975f),
(float2) (0.988480f, 0.151354f),
(float2) (0.988421f, 0.151734f),
(float2) (0.988363f, 0.152113f),
(float2) (0.988305f, 0.152492f),
(float2) (0.988246f, 0.152871f),
(float2) (0.988187f, 0.153250f),
(float2) (0.988129f, 0.153630f),
(float2) (0.988069f, 0.154009f),
(float2) (0.988010f, 0.154388f),
(float2) (0.987951f, 0.154767f),
(float2) (0.987892f, 0.155146f),
(float2) (0.987832f, 0.155525f),
(float2) (0.987772f, 0.155904f),
(float2) (0.987712f, 0.156283f),
(float2) (0.987652f, 0.156662f),
(float2) (0.987592f, 0.157041f),
(float2) (0.987532f, 0.157420f),
(float2) (0.987471f, 0.157799f),
(float2) (0.987411f, 0.158177f),
(float2) (0.987350f, 0.158556f),
(float2) (0.987289f, 0.158935f),
(float2) (0.987228f, 0.159314f),
(float2) (0.987167f, 0.159693f),
(float2) (0.987105f, 0.160071f),
(float2) (0.987044f, 0.160450f),
(float2) (0.986982f, 0.160829f),
(float2) (0.986921f, 0.161207f),
(float2) (0.986859f, 0.161586f),
(float2) (0.986797f, 0.161965f),
(float2) (0.986734f, 0.162343f),
(float2) (0.986672f, 0.162722f),
(float2) (0.986609f, 0.163101f),
(float2) (0.986547f, 0.163479f),
(float2) (0.986484f, 0.163858f),
(float2) (0.986421f, 0.164236f),
(float2) (0.986358f, 0.164615f),
(float2) (0.986295f, 0.164993f),
(float2) (0.986231f, 0.165371f),
(float2) (0.986168f, 0.165750f),
(float2) (0.986104f, 0.166128f),
(float2) (0.986040f, 0.166506f),
(float2) (0.985976f, 0.166885f),
(float2) (0.985912f, 0.167263f),
(float2) (0.985848f, 0.167641f),
(float2) (0.985784f, 0.168020f),
(float2) (0.985719f, 0.168398f),
(float2) (0.985654f, 0.168776f),
(float2) (0.985590f, 0.169154f),
(float2) (0.985525f, 0.169532f),
(float2) (0.985460f, 0.169910f),
(float2) (0.985394f, 0.170288f),
(float2) (0.985329f, 0.170667f),
(float2) (0.985263f, 0.171045f),
(float2) (0.985198f, 0.171423f),
(float2) (0.985132f, 0.171801f),
(float2) (0.985066f, 0.172179f),
(float2) (0.985000f, 0.172556f),
(float2) (0.984933f, 0.172934f),
(float2) (0.984867f, 0.173312f),
(float2) (0.984800f, 0.173690f),
(float2) (0.984734f, 0.174068f),
(float2) (0.984667f, 0.174446f),
(float2) (0.984600f, 0.174824f),
(float2) (0.984533f, 0.175201f),
(float2) (0.984465f, 0.175579f),
(float2) (0.984398f, 0.175957f),
(float2) (0.984330f, 0.176334f),
(float2) (0.984263f, 0.176712f),
(float2) (0.984195f, 0.177090f),
(float2) (0.984127f, 0.177467f),
(float2) (0.984059f, 0.177845f),
(float2) (0.983990f, 0.178223f),
(float2) (0.983922f, 0.178600f),
(float2) (0.983853f, 0.178978f),
(float2) (0.983784f, 0.179355f),
(float2) (0.983716f, 0.179732f),
(float2) (0.983646f, 0.180110f),
(float2) (0.983577f, 0.180487f),
(float2) (0.983508f, 0.180865f),
(float2) (0.983439f, 0.181242f),
(float2) (0.983369f, 0.181619f),
(float2) (0.983299f, 0.181997f),
(float2) (0.983229f, 0.182374f),
(float2) (0.983159f, 0.182751f),
(float2) (0.983089f, 0.183128f),
(float2) (0.983019f, 0.183505f),
(float2) (0.982948f, 0.183883f),
(float2) (0.982878f, 0.184260f),
(float2) (0.982807f, 0.184637f),
(float2) (0.982736f, 0.185014f),
(float2) (0.982665f, 0.185391f),
(float2) (0.982594f, 0.185768f),
(float2) (0.982522f, 0.186145f),
(float2) (0.982451f, 0.186522f),
(float2) (0.982379f, 0.186899f),
(float2) (0.982307f, 0.187276f),
(float2) (0.982235f, 0.187653f),
(float2) (0.982163f, 0.188030f),
(float2) (0.982091f, 0.188406f),
(float2) (0.982019f, 0.188783f),
(float2) (0.981946f, 0.189160f),
(float2) (0.981874f, 0.189537f),
(float2) (0.981801f, 0.189913f),
(float2) (0.981728f, 0.190290f),
(float2) (0.981655f, 0.190667f),
(float2) (0.981582f, 0.191043f),
(float2) (0.981508f, 0.191420f),
(float2) (0.981435f, 0.191797f),
(float2) (0.981361f, 0.192173f),
(float2) (0.981287f, 0.192550f),
(float2) (0.981213f, 0.192926f),
(float2) (0.981139f, 0.193303f),
(float2) (0.981065f, 0.193679f),
(float2) (0.980991f, 0.194055f),
(float2) (0.980916f, 0.194432f),
(float2) (0.980841f, 0.194808f),
(float2) (0.980767f, 0.195184f),
(float2) (0.980692f, 0.195561f),
(float2) (0.980616f, 0.195937f),
(float2) (0.980541f, 0.196313f),
(float2) (0.980466f, 0.196689f),
(float2) (0.980390f, 0.197066f),
(float2) (0.980315f, 0.197442f),
(float2) (0.980239f, 0.197818f),
(float2) (0.980163f, 0.198194f),
(float2) (0.980087f, 0.198570f),
(float2) (0.980010f, 0.198946f),
(float2) (0.979934f, 0.199322f),
(float2) (0.979858f, 0.199698f),
(float2) (0.979781f, 0.200074f),
(float2) (0.979704f, 0.200450f),
(float2) (0.979627f, 0.200826f),
(float2) (0.979550f, 0.201202f),
(float2) (0.979473f, 0.201577f),
(float2) (0.979395f, 0.201953f),
(float2) (0.979318f, 0.202329f),
(float2) (0.979240f, 0.202705f),
(float2) (0.979162f, 0.203080f),
(float2) (0.979084f, 0.203456f),
(float2) (0.979006f, 0.203832f),
(float2) (0.978928f, 0.204207f),
(float2) (0.978849f, 0.204583f),
(float2) (0.978771f, 0.204958f),
(float2) (0.978692f, 0.205334f),
(float2) (0.978613f, 0.205709f),
(float2) (0.978534f, 0.206085f),
(float2) (0.978455f, 0.206460f),
(float2) (0.978376f, 0.206836f),
(float2) (0.978296f, 0.207211f),
(float2) (0.978217f, 0.207586f),
(float2) (0.978137f, 0.207962f),
(float2) (0.978057f, 0.208337f),
(float2) (0.977977f, 0.208712f),
(float2) (0.977897f, 0.209087f),
(float2) (0.977817f, 0.209463f),
(float2) (0.977736f, 0.209838f),
(float2) (0.977656f, 0.210213f),
(float2) (0.977575f, 0.210588f),
(float2) (0.977494f, 0.210963f),
(float2) (0.977413f, 0.211338f),
(float2) (0.977332f, 0.211713f),
(float2) (0.977251f, 0.212088f),
(float2) (0.977169f, 0.212463f),
(float2) (0.977088f, 0.212838f),
(float2) (0.977006f, 0.213213f),
(float2) (0.976924f, 0.213588f),
(float2) (0.976842f, 0.213962f),
(float2) (0.976760f, 0.214337f),
(float2) (0.976677f, 0.214712f),
(float2) (0.976595f, 0.215087f),
(float2) (0.976512f, 0.215461f),
(float2) (0.976430f, 0.215836f),
(float2) (0.976347f, 0.216211f),
(float2) (0.976264f, 0.216585f),
(float2) (0.976181f, 0.216960f),
(float2) (0.976097f, 0.217334f),
(float2) (0.976014f, 0.217709f),
(float2) (0.975930f, 0.218083f),
(float2) (0.975846f, 0.218458f),
(float2) (0.975763f, 0.218832f),
(float2) (0.975678f, 0.219207f),
(float2) (0.975594f, 0.219581f),
(float2) (0.975510f, 0.219955f),
(float2) (0.975426f, 0.220329f),
(float2) (0.975341f, 0.220704f),
(float2) (0.975256f, 0.221078f),
(float2) (0.975171f, 0.221452f),
(float2) (0.975086f, 0.221826f),
(float2) (0.975001f, 0.222200f),
(float2) (0.974916f, 0.222574f),
(float2) (0.974830f, 0.222948f),
(float2) (0.974745f, 0.223322f),
(float2) (0.974659f, 0.223696f),
(float2) (0.974573f, 0.224070f),
(float2) (0.974487f, 0.224444f),
(float2) (0.974401f, 0.224818f),
(float2) (0.974314f, 0.225192f),
(float2) (0.974228f, 0.225566f),
(float2) (0.974141f, 0.225940f),
(float2) (0.974055f, 0.226313f),
(float2) (0.973968f, 0.226687f),
(float2) (0.973881f, 0.227061f),
(float2) (0.973793f, 0.227434f),
(float2) (0.973706f, 0.227808f),
(float2) (0.973619f, 0.228182f),
(float2) (0.973531f, 0.228555f),
(float2) (0.973443f, 0.228929f),
(float2) (0.973355f, 0.229302f),
(float2) (0.973267f, 0.229675f),
(float2) (0.973179f, 0.230049f),
(float2) (0.973091f, 0.230422f),
(float2) (0.973002f, 0.230796f),
(float2) (0.972914f, 0.231169f),
(float2) (0.972825f, 0.231542f),
(float2) (0.972736f, 0.231915f),
(float2) (0.972647f, 0.232289f),
(float2) (0.972558f, 0.232662f),
(float2) (0.972468f, 0.233035f),
(float2) (0.972379f, 0.233408f),
(float2) (0.972289f, 0.233781f),
(float2) (0.972199f, 0.234154f),
(float2) (0.972110f, 0.234527f),
(float2) (0.972020f, 0.234900f),
(float2) (0.971929f, 0.235273f),
(float2) (0.971839f, 0.235646f),
(float2) (0.971748f, 0.236019f),
(float2) (0.971658f, 0.236392f),
(float2) (0.971567f, 0.236764f),
(float2) (0.971476f, 0.237137f),
(float2) (0.971385f, 0.237510f),
(float2) (0.971294f, 0.237883f),
(float2) (0.971203f, 0.238255f),
(float2) (0.971111f, 0.238628f),
(float2) (0.971019f, 0.239000f),
(float2) (0.970928f, 0.239373f),
(float2) (0.970836f, 0.239745f),
(float2) (0.970744f, 0.240118f),
(float2) (0.970652f, 0.240490f),
(float2) (0.970559f, 0.240863f),
(float2) (0.970467f, 0.241235f),
(float2) (0.970374f, 0.241608f),
(float2) (0.970281f, 0.241980f),
(float2) (0.970188f, 0.242352f),
(float2) (0.970095f, 0.242724f),
(float2) (0.970002f, 0.243096f),
(float2) (0.969909f, 0.243469f),
(float2) (0.969815f, 0.243841f),
(float2) (0.969722f, 0.244213f),
(float2) (0.969628f, 0.244585f),
(float2) (0.969534f, 0.244957f),
(float2) (0.969440f, 0.245329f),
(float2) (0.969346f, 0.245701f),
(float2) (0.969251f, 0.246073f),
(float2) (0.969157f, 0.246445f),
(float2) (0.969062f, 0.246816f),
(float2) (0.968967f, 0.247188f),
(float2) (0.968873f, 0.247560f),
(float2) (0.968778f, 0.247932f),
(float2) (0.968682f, 0.248303f),
(float2) (0.968587f, 0.248675f),
(float2) (0.968491f, 0.249047f),
(float2) (0.968396f, 0.249418f),
(float2) (0.968300f, 0.249790f),
(float2) (0.968204f, 0.250161f),
(float2) (0.968108f, 0.250533f),
(float2) (0.968012f, 0.250904f),
(float2) (0.967916f, 0.251276f),
(float2) (0.967819f, 0.251647f),
(float2) (0.967722f, 0.252018f),
(float2) (0.967626f, 0.252389f),
(float2) (0.967529f, 0.252761f),
(float2) (0.967432f, 0.253132f),
(float2) (0.967335f, 0.253503f),
(float2) (0.967237f, 0.253874f),
(float2) (0.967140f, 0.254245f),
(float2) (0.967042f, 0.254616f),
(float2) (0.966944f, 0.254987f),
(float2) (0.966846f, 0.255358f),
(float2) (0.966748f, 0.255729f),
(float2) (0.966650f, 0.256100f),
(float2) (0.966552f, 0.256471f),
(float2) (0.966453f, 0.256842f),
(float2) (0.966355f, 0.257213f),
(float2) (0.966256f, 0.257583f),
(float2) (0.966157f, 0.257954f),
(float2) (0.966058f, 0.258325f),
(float2) (0.965959f, 0.258696f),
(float2) (0.965860f, 0.259066f),
(float2) (0.965760f, 0.259437f),
(float2) (0.965661f, 0.259807f),
(float2) (0.965561f, 0.260178f),
(float2) (0.965461f, 0.260548f),
(float2) (0.965361f, 0.260919f),
(float2) (0.965261f, 0.261289f),
(float2) (0.965160f, 0.261659f),
(float2) (0.965060f, 0.262030f),
(float2) (0.964959f, 0.262400f),
(float2) (0.964858f, 0.262770f),
(float2) (0.964758f, 0.263140f),
(float2) (0.964657f, 0.263510f),
(float2) (0.964555f, 0.263880f),
(float2) (0.964454f, 0.264251f),
(float2) (0.964353f, 0.264621f),
(float2) (0.964251f, 0.264991f),
(float2) (0.964149f, 0.265360f),
(float2) (0.964047f, 0.265730f),
(float2) (0.963945f, 0.266100f),
(float2) (0.963843f, 0.266470f),
(float2) (0.963741f, 0.266840f),
(float2) (0.963638f, 0.267210f),
(float2) (0.963536f, 0.267579f),
(float2) (0.963433f, 0.267949f),
(float2) (0.963330f, 0.268319f),
(float2) (0.963227f, 0.268688f),
(float2) (0.963124f, 0.269058f),
(float2) (0.963021f, 0.269427f),
(float2) (0.962917f, 0.269797f),
(float2) (0.962814f, 0.270166f),
(float2) (0.962710f, 0.270536f),
(float2) (0.962606f, 0.270905f),
(float2) (0.962502f, 0.271274f),
(float2) (0.962398f, 0.271644f),
(float2) (0.962294f, 0.272013f),
(float2) (0.962189f, 0.272382f),
(float2) (0.962085f, 0.272751f),
(float2) (0.961980f, 0.273120f),
(float2) (0.961875f, 0.273489f),
(float2) (0.961770f, 0.273858f),
(float2) (0.961665f, 0.274227f),
(float2) (0.961560f, 0.274596f),
(float2) (0.961454f, 0.274965f),
(float2) (0.961349f, 0.275334f),
(float2) (0.961243f, 0.275703f),
(float2) (0.961137f, 0.276072f),
(float2) (0.961031f, 0.276440f),
(float2) (0.960925f, 0.276809f),
(float2) (0.960819f, 0.277178f),
(float2) (0.960712f, 0.277546f),
(float2) (0.960606f, 0.277915f),
(float2) (0.960499f, 0.278284f),
(float2) (0.960392f, 0.278652f),
(float2) (0.960285f, 0.279021f),
(float2) (0.960178f, 0.279389f),
(float2) (0.960071f, 0.279757f),
(float2) (0.959963f, 0.280126f),
(float2) (0.959856f, 0.280494f),
(float2) (0.959748f, 0.280862f),
(float2) (0.959640f, 0.281231f),
(float2) (0.959532f, 0.281599f),
(float2) (0.959424f, 0.281967f),
(float2) (0.959316f, 0.282335f),
(float2) (0.959208f, 0.282703f),
(float2) (0.959099f, 0.283071f),
(float2) (0.958990f, 0.283439f),
(float2) (0.958881f, 0.283807f),
(float2) (0.958773f, 0.284175f),
(float2) (0.958663f, 0.284543f),
(float2) (0.958554f, 0.284910f),
(float2) (0.958445f, 0.285278f),
(float2) (0.958335f, 0.285646f),
(float2) (0.958226f, 0.286014f),
(float2) (0.958116f, 0.286381f),
(float2) (0.958006f, 0.286749f),
(float2) (0.957896f, 0.287116f),
(float2) (0.957785f, 0.287484f),
(float2) (0.957675f, 0.287851f),
(float2) (0.957565f, 0.288219f),
(float2) (0.957454f, 0.288586f),
(float2) (0.957343f, 0.288953f),
(float2) (0.957232f, 0.289321f),
(float2) (0.957121f, 0.289688f),
(float2) (0.957010f, 0.290055f),
(float2) (0.956899f, 0.290422f),
(float2) (0.956787f, 0.290789f),
(float2) (0.956675f, 0.291157f),
(float2) (0.956564f, 0.291524f),
(float2) (0.956452f, 0.291891f),
(float2) (0.956340f, 0.292258f),
(float2) (0.956227f, 0.292624f),
(float2) (0.956115f, 0.292991f),
(float2) (0.956003f, 0.293358f),
(float2) (0.955890f, 0.293725f),
(float2) (0.955777f, 0.294092f),
(float2) (0.955664f, 0.294458f),
(float2) (0.955551f, 0.294825f),
(float2) (0.955438f, 0.295192f),
(float2) (0.955325f, 0.295558f),
(float2) (0.955211f, 0.295925f),
(float2) (0.955098f, 0.296291f),
(float2) (0.954984f, 0.296658f),
(float2) (0.954870f, 0.297024f),
(float2) (0.954756f, 0.297390f),
(float2) (0.954642f, 0.297757f),
(float2) (0.954527f, 0.298123f),
(float2) (0.954413f, 0.298489f),
(float2) (0.954298f, 0.298855f),
(float2) (0.954184f, 0.299221f),
(float2) (0.954069f, 0.299587f),
(float2) (0.953954f, 0.299954f),
(float2) (0.953839f, 0.300320f),
(float2) (0.953723f, 0.300685f),
(float2) (0.953608f, 0.301051f),
(float2) (0.953492f, 0.301417f),
(float2) (0.953377f, 0.301783f),
(float2) (0.953261f, 0.302149f),
(float2) (0.953145f, 0.302515f),
(float2) (0.953029f, 0.302880f),
(float2) (0.952912f, 0.303246f),
(float2) (0.952796f, 0.303611f),
(float2) (0.952679f, 0.303977f),
(float2) (0.952563f, 0.304343f),
(float2) (0.952446f, 0.304708f),
(float2) (0.952329f, 0.305073f),
(float2) (0.952212f, 0.305439f),
(float2) (0.952094f, 0.305804f),
(float2) (0.951977f, 0.306169f),
(float2) (0.951860f, 0.306535f),
(float2) (0.951742f, 0.306900f),
(float2) (0.951624f, 0.307265f),
(float2) (0.951506f, 0.307630f),
(float2) (0.951388f, 0.307995f),
(float2) (0.951270f, 0.308360f),
(float2) (0.951151f, 0.308725f),
(float2) (0.951033f, 0.309090f),
(float2) (0.950914f, 0.309455f),
(float2) (0.950795f, 0.309820f),
(float2) (0.950676f, 0.310184f),
(float2) (0.950557f, 0.310549f),
(float2) (0.950438f, 0.310914f),
(float2) (0.950319f, 0.311279f),
(float2) (0.950199f, 0.311643f),
(float2) (0.950080f, 0.312008f),
(float2) (0.949960f, 0.312372f),
(float2) (0.949840f, 0.312737f),
(float2) (0.949720f, 0.313101f),
(float2) (0.949600f, 0.313465f),
(float2) (0.949479f, 0.313830f),
(float2) (0.949359f, 0.314194f),
(float2) (0.949238f, 0.314558f),
(float2) (0.949117f, 0.314922f),
(float2) (0.948997f, 0.315287f),
(float2) (0.948875f, 0.315651f),
(float2) (0.948754f, 0.316015f),
(float2) (0.948633f, 0.316379f),
(float2) (0.948512f, 0.316743f),
(float2) (0.948390f, 0.317107f),
(float2) (0.948268f, 0.317470f),
(float2) (0.948146f, 0.317834f),
(float2) (0.948024f, 0.318198f),
(float2) (0.947902f, 0.318562f),
(float2) (0.947780f, 0.318925f),
(float2) (0.947657f, 0.319289f),
(float2) (0.947535f, 0.319653f),
(float2) (0.947412f, 0.320016f),
(float2) (0.947289f, 0.320380f),
(float2) (0.947166f, 0.320743f),
(float2) (0.947043f, 0.321106f),
(float2) (0.946920f, 0.321470f),
(float2) (0.946796f, 0.321833f),
(float2) (0.946673f, 0.322196f),
(float2) (0.946549f, 0.322559f),
(float2) (0.946425f, 0.322923f),
(float2) (0.946301f, 0.323286f),
(float2) (0.946177f, 0.323649f),
(float2) (0.946053f, 0.324012f),
(float2) (0.945929f, 0.324375f),
(float2) (0.945804f, 0.324738f),
(float2) (0.945679f, 0.325101f),
(float2) (0.945555f, 0.325463f),
(float2) (0.945430f, 0.325826f),
(float2) (0.945305f, 0.326189f),
(float2) (0.945179f, 0.326552f),
(float2) (0.945054f, 0.326914f),
(float2) (0.944929f, 0.327277f),
(float2) (0.944803f, 0.327639f),
(float2) (0.944677f, 0.328002f),
(float2) (0.944551f, 0.328364f),
(float2) (0.944425f, 0.328727f),
(float2) (0.944299f, 0.329089f),
(float2) (0.944173f, 0.329451f),
(float2) (0.944046f, 0.329813f),
(float2) (0.943920f, 0.330176f),
(float2) (0.943793f, 0.330538f),
(float2) (0.943666f, 0.330900f),
(float2) (0.943539f, 0.331262f),
(float2) (0.943412f, 0.331624f),
(float2) (0.943284f, 0.331986f),
(float2) (0.943157f, 0.332348f),
(float2) (0.943029f, 0.332710f),
(float2) (0.942902f, 0.333071f),
(float2) (0.942774f, 0.333433f),
(float2) (0.942646f, 0.333795f),
(float2) (0.942518f, 0.334156f),
(float2) (0.942389f, 0.334518f),
(float2) (0.942261f, 0.334880f),
(float2) (0.942132f, 0.335241f),
(float2) (0.942004f, 0.335603f),
(float2) (0.941875f, 0.335964f),
(float2) (0.941746f, 0.336325f),
(float2) (0.941617f, 0.336687f),
(float2) (0.941488f, 0.337048f),
(float2) (0.941358f, 0.337409f),
(float2) (0.941229f, 0.337770f),
(float2) (0.941099f, 0.338131f),
(float2) (0.940969f, 0.338492f),
(float2) (0.940839f, 0.338853f),
(float2) (0.940709f, 0.339214f),
(float2) (0.940579f, 0.339575f),
(float2) (0.940449f, 0.339936f),
(float2) (0.940318f, 0.340297f),
(float2) (0.940187f, 0.340658f),
(float2) (0.940057f, 0.341018f),
(float2) (0.939926f, 0.341379f),
(float2) (0.939795f, 0.341740f),
(float2) (0.939663f, 0.342100f),
(float2) (0.939532f, 0.342461f),
(float2) (0.939401f, 0.342821f),
(float2) (0.939269f, 0.343182f),
(float2) (0.939137f, 0.343542f),
(float2) (0.939005f, 0.343902f),
(float2) (0.938873f, 0.344263f),
(float2) (0.938741f, 0.344623f),
(float2) (0.938609f, 0.344983f),
(float2) (0.938477f, 0.345343f),
(float2) (0.938344f, 0.345703f),
(float2) (0.938211f, 0.346063f),
(float2) (0.938078f, 0.346423f),
(float2) (0.937945f, 0.346783f),
(float2) (0.937812f, 0.347143f),
(float2) (0.937679f, 0.347503f),
(float2) (0.937546f, 0.347862f),
(float2) (0.937412f, 0.348222f),
(float2) (0.937278f, 0.348582f),
(float2) (0.937145f, 0.348941f),
(float2) (0.937011f, 0.349301f),
(float2) (0.936877f, 0.349660f),
(float2) (0.936742f, 0.350020f),
(float2) (0.936608f, 0.350379f),
(float2) (0.936473f, 0.350738f),
(float2) (0.936339f, 0.351098f),
(float2) (0.936204f, 0.351457f),
(float2) (0.936069f, 0.351816f),
(float2) (0.935934f, 0.352175f),
(float2) (0.935799f, 0.352534f),
(float2) (0.935664f, 0.352893f),
(float2) (0.935528f, 0.353252f),
(float2) (0.935392f, 0.353611f),
(float2) (0.935257f, 0.353970f),
(float2) (0.935121f, 0.354329f),
(float2) (0.934985f, 0.354688f),
(float2) (0.934849f, 0.355046f),
(float2) (0.934712f, 0.355405f),
(float2) (0.934576f, 0.355764f),
(float2) (0.934439f, 0.356122f),
(float2) (0.934303f, 0.356481f),
(float2) (0.934166f, 0.356839f),
(float2) (0.934029f, 0.357198f),
(float2) (0.933892f, 0.357556f),
(float2) (0.933754f, 0.357914f),
(float2) (0.933617f, 0.358272f),
(float2) (0.933480f, 0.358631f),
(float2) (0.933342f, 0.358989f),
(float2) (0.933204f, 0.359347f),
(float2) (0.933066f, 0.359705f),
(float2) (0.932928f, 0.360063f),
(float2) (0.932790f, 0.360421f),
(float2) (0.932651f, 0.360779f),
(float2) (0.932513f, 0.361136f),
(float2) (0.932374f, 0.361494f),
(float2) (0.932236f, 0.361852f),
(float2) (0.932097f, 0.362210f),
(float2) (0.931958f, 0.362567f),
(float2) (0.931818f, 0.362925f),
(float2) (0.931679f, 0.363282f),
(float2) (0.931540f, 0.363640f),
(float2) (0.931400f, 0.363997f),
(float2) (0.931260f, 0.364354f),
(float2) (0.931121f, 0.364712f),
(float2) (0.930981f, 0.365069f),
(float2) (0.930840f, 0.365426f),
(float2) (0.930700f, 0.365783f),
(float2) (0.930560f, 0.366140f),
(float2) (0.930419f, 0.366497f),
(float2) (0.930278f, 0.366854f),
(float2) (0.930138f, 0.367211f),
(float2) (0.929997f, 0.367568f),
(float2) (0.929856f, 0.367925f),
(float2) (0.929714f, 0.368282f),
(float2) (0.929573f, 0.368638f),
(float2) (0.929431f, 0.368995f),
(float2) (0.929290f, 0.369351f),
(float2) (0.929148f, 0.369708f),
(float2) (0.929006f, 0.370064f),
(float2) (0.928864f, 0.370421f),
(float2) (0.928722f, 0.370777f),
(float2) (0.928580f, 0.371133f),
(float2) (0.928437f, 0.371490f),
(float2) (0.928294f, 0.371846f),
(float2) (0.928152f, 0.372202f),
(float2) (0.928009f, 0.372558f),
(float2) (0.927866f, 0.372914f),
(float2) (0.927723f, 0.373270f),
(float2) (0.927579f, 0.373626f),
(float2) (0.927436f, 0.373982f),
(float2) (0.927292f, 0.374338f),
(float2) (0.927149f, 0.374694f),
(float2) (0.927005f, 0.375049f),
(float2) (0.926861f, 0.375405f),
(float2) (0.926717f, 0.375760f),
(float2) (0.926573f, 0.376116f),
(float2) (0.926428f, 0.376472f),
(float2) (0.926284f, 0.376827f),
(float2) (0.926139f, 0.377182f),
(float2) (0.925994f, 0.377538f),
(float2) (0.925849f, 0.377893f),
(float2) (0.925704f, 0.378248f),
(float2) (0.925559f, 0.378603f),
(float2) (0.925414f, 0.378958f),
(float2) (0.925268f, 0.379313f),
(float2) (0.925123f, 0.379668f),
(float2) (0.924977f, 0.380023f),
(float2) (0.924831f, 0.380378f),
(float2) (0.924685f, 0.380733f),
(float2) (0.924539f, 0.381088f),
(float2) (0.924393f, 0.381442f),
(float2) (0.924246f, 0.381797f),
(float2) (0.924100f, 0.382152f),
(float2) (0.923953f, 0.382506f),
(float2) (0.923806f, 0.382861f),
(float2) (0.923659f, 0.383215f),
(float2) (0.923512f, 0.383569f),
(float2) (0.923365f, 0.383924f),
(float2) (0.923217f, 0.384278f),
(float2) (0.923070f, 0.384632f),
(float2) (0.922922f, 0.384986f),
(float2) (0.922774f, 0.385340f),
(float2) (0.922627f, 0.385694f),
(float2) (0.922479f, 0.386048f),
(float2) (0.922330f, 0.386402f),
(float2) (0.922182f, 0.386756f),
(float2) (0.922034f, 0.387110f),
(float2) (0.921885f, 0.387464f),
(float2) (0.921736f, 0.387817f),
(float2) (0.921587f, 0.388171f),
(float2) (0.921438f, 0.388525f),
(float2) (0.921289f, 0.388878f),
(float2) (0.921140f, 0.389232f),
(float2) (0.920991f, 0.389585f),
(float2) (0.920841f, 0.389938f),
(float2) (0.920691f, 0.390292f),
(float2) (0.920541f, 0.390645f),
(float2) (0.920392f, 0.390998f),
(float2) (0.920241f, 0.391351f),
(float2) (0.920091f, 0.391704f),
(float2) (0.919941f, 0.392057f),
(float2) (0.919790f, 0.392410f),
(float2) (0.919640f, 0.392763f),
(float2) (0.919489f, 0.393116f),
(float2) (0.919338f, 0.393469f),
(float2) (0.919187f, 0.393821f),
(float2) (0.919036f, 0.394174f),
(float2) (0.918885f, 0.394526f),
(float2) (0.918733f, 0.394879f),
(float2) (0.918582f, 0.395231f),
(float2) (0.918430f, 0.395584f),
(float2) (0.918278f, 0.395936f),
(float2) (0.918126f, 0.396289f),
(float2) (0.917974f, 0.396641f),
(float2) (0.917822f, 0.396993f),
(float2) (0.917669f, 0.397345f),
(float2) (0.917517f, 0.397697f),
(float2) (0.917364f, 0.398049f),
(float2) (0.917211f, 0.398401f),
(float2) (0.917058f, 0.398753f),
(float2) (0.916905f, 0.399105f),
(float2) (0.916752f, 0.399457f),
(float2) (0.916599f, 0.399808f),
(float2) (0.916445f, 0.400160f),
(float2) (0.916292f, 0.400512f),
(float2) (0.916138f, 0.400863f),
(float2) (0.915984f, 0.401215f),
(float2) (0.915830f, 0.401566f),
(float2) (0.915676f, 0.401917f),
(float2) (0.915522f, 0.402269f),
(float2) (0.915367f, 0.402620f),
(float2) (0.915213f, 0.402971f),
(float2) (0.915058f, 0.403322f),
(float2) (0.914903f, 0.403673f),
(float2) (0.914748f, 0.404024f),
(float2) (0.914593f, 0.404375f),
(float2) (0.914438f, 0.404726f),
(float2) (0.914283f, 0.405077f),
(float2) (0.914127f, 0.405428f),
(float2) (0.913972f, 0.405778f),
(float2) (0.913816f, 0.406129f),
(float2) (0.913660f, 0.406480f),
(float2) (0.913504f, 0.406830f),
(float2) (0.913348f, 0.407181f),
(float2) (0.913191f, 0.407531f),
(float2) (0.913035f, 0.407881f),
(float2) (0.912878f, 0.408232f),
(float2) (0.912722f, 0.408582f),
(float2) (0.912565f, 0.408932f),
(float2) (0.912408f, 0.409282f),
(float2) (0.912251f, 0.409632f),
(float2) (0.912094f, 0.409982f),
(float2) (0.911936f, 0.410332f),
(float2) (0.911779f, 0.410682f),
(float2) (0.911621f, 0.411032f),
(float2) (0.911463f, 0.411381f),
(float2) (0.911305f, 0.411731f),
(float2) (0.911147f, 0.412081f),
(float2) (0.910989f, 0.412430f),
(float2) (0.910831f, 0.412780f),
(float2) (0.910672f, 0.413129f),
(float2) (0.910514f, 0.413479f),
(float2) (0.910355f, 0.413828f),
(float2) (0.910196f, 0.414177f),
(float2) (0.910037f, 0.414526f),
(float2) (0.909878f, 0.414876f),
(float2) (0.909719f, 0.415225f),
(float2) (0.909560f, 0.415574f),
(float2) (0.909400f, 0.415923f),
(float2) (0.909240f, 0.416271f),
(float2) (0.909081f, 0.416620f),
(float2) (0.908921f, 0.416969f),
(float2) (0.908761f, 0.417318f),
(float2) (0.908600f, 0.417666f),
(float2) (0.908440f, 0.418015f),
(float2) (0.908280f, 0.418364f),
(float2) (0.908119f, 0.418712f),
(float2) (0.907958f, 0.419060f),
(float2) (0.907798f, 0.419409f),
(float2) (0.907637f, 0.419757f),
(float2) (0.907475f, 0.420105f),
(float2) (0.907314f, 0.420453f),
(float2) (0.907153f, 0.420801f),
(float2) (0.906991f, 0.421149f),
(float2) (0.906830f, 0.421497f),
(float2) (0.906668f, 0.421845f),
(float2) (0.906506f, 0.422193f),
(float2) (0.906344f, 0.422541f),
(float2) (0.906182f, 0.422889f),
(float2) (0.906019f, 0.423236f),
(float2) (0.905857f, 0.423584f),
(float2) (0.905694f, 0.423931f),
(float2) (0.905532f, 0.424279f),
(float2) (0.905369f, 0.424626f),
(float2) (0.905206f, 0.424974f),
(float2) (0.905043f, 0.425321f),
(float2) (0.904879f, 0.425668f),
(float2) (0.904716f, 0.426015f),
(float2) (0.904552f, 0.426362f),
(float2) (0.904389f, 0.426709f),
(float2) (0.904225f, 0.427056f),
(float2) (0.904061f, 0.427403f),
(float2) (0.903897f, 0.427750f),
(float2) (0.903733f, 0.428097f),
(float2) (0.903568f, 0.428444f),
(float2) (0.903404f, 0.428790f),
(float2) (0.903239f, 0.429137f),
(float2) (0.903075f, 0.429483f),
(float2) (0.902910f, 0.429830f),
(float2) (0.902745f, 0.430176f),
(float2) (0.902580f, 0.430523f),
(float2) (0.902415f, 0.430869f),
(float2) (0.902249f, 0.431215f),
(float2) (0.902084f, 0.431561f),
(float2) (0.901918f, 0.431907f),
(float2) (0.901752f, 0.432253f),
(float2) (0.901586f, 0.432599f),
(float2) (0.901420f, 0.432945f),
(float2) (0.901254f, 0.433291f),
(float2) (0.901088f, 0.433637f),
(float2) (0.900921f, 0.433983f),
(float2) (0.900755f, 0.434328f),
(float2) (0.900588f, 0.434674f),
(float2) (0.900421f, 0.435019f),
(float2) (0.900254f, 0.435365f),
(float2) (0.900087f, 0.435710f),
(float2) (0.899920f, 0.436055f),
(float2) (0.899752f, 0.436401f),
(float2) (0.899585f, 0.436746f),
(float2) (0.899417f, 0.437091f),
(float2) (0.899250f, 0.437436f),
(float2) (0.899082f, 0.437781f),
(float2) (0.898914f, 0.438126f),
(float2) (0.898745f, 0.438471f),
(float2) (0.898577f, 0.438816f),
(float2) (0.898409f, 0.439160f),
(float2) (0.898240f, 0.439505f),
(float2) (0.898071f, 0.439850f),
(float2) (0.897903f, 0.440194f),
(float2) (0.897734f, 0.440539f),
(float2) (0.897565f, 0.440883f),
(float2) (0.897395f, 0.441227f),
(float2) (0.897226f, 0.441572f),
(float2) (0.897057f, 0.441916f),
(float2) (0.896887f, 0.442260f),
(float2) (0.896717f, 0.442604f),
(float2) (0.896547f, 0.442948f),
(float2) (0.896377f, 0.443292f),
(float2) (0.896207f, 0.443636f),
(float2) (0.896037f, 0.443980f),
(float2) (0.895866f, 0.444324f),
(float2) (0.895696f, 0.444667f),
(float2) (0.895525f, 0.445011f),
(float2) (0.895354f, 0.445354f),
(float2) (0.895183f, 0.445698f),
(float2) (0.895012f, 0.446041f),
(float2) (0.894841f, 0.446385f),
(float2) (0.894670f, 0.446728f),
(float2) (0.894498f, 0.447071f),
(float2) (0.894327f, 0.447414f),
(float2) (0.894155f, 0.447758f),
(float2) (0.893983f, 0.448101f),
(float2) (0.893811f, 0.448444f),
(float2) (0.893639f, 0.448786f),
(float2) (0.893467f, 0.449129f),
(float2) (0.893294f, 0.449472f),
(float2) (0.893122f, 0.449815f),
(float2) (0.892949f, 0.450157f),
(float2) (0.892776f, 0.450500f),
(float2) (0.892604f, 0.450843f),
(float2) (0.892430f, 0.451185f),
(float2) (0.892257f, 0.451527f),
(float2) (0.892084f, 0.451870f),
(float2) (0.891911f, 0.452212f),
(float2) (0.891737f, 0.452554f),
(float2) (0.891563f, 0.452896f),
(float2) (0.891389f, 0.453238f),
(float2) (0.891215f, 0.453580f),
(float2) (0.891041f, 0.453922f),
(float2) (0.890867f, 0.454264f),
(float2) (0.890693f, 0.454606f),
(float2) (0.890518f, 0.454947f),
(float2) (0.890344f, 0.455289f),
(float2) (0.890169f, 0.455631f),
(float2) (0.889994f, 0.455972f),
(float2) (0.889819f, 0.456314f),
(float2) (0.889644f, 0.456655f),
(float2) (0.889469f, 0.456996f),
(float2) (0.889293f, 0.457338f),
(float2) (0.889118f, 0.457679f),
(float2) (0.888942f, 0.458020f),
(float2) (0.888766f, 0.458361f),
(float2) (0.888590f, 0.458702f),
(float2) (0.888414f, 0.459043f),
(float2) (0.888238f, 0.459384f),
(float2) (0.888062f, 0.459724f),
(float2) (0.887885f, 0.460065f),
(float2) (0.887709f, 0.460406f),
(float2) (0.887532f, 0.460746f),
(float2) (0.887355f, 0.461087f),
(float2) (0.887178f, 0.461427f),
(float2) (0.887001f, 0.461768f),
(float2) (0.886824f, 0.462108f),
(float2) (0.886646f, 0.462448f),
(float2) (0.886469f, 0.462788f),
(float2) (0.886291f, 0.463128f),
(float2) (0.886113f, 0.463468f),
(float2) (0.885936f, 0.463808f),
(float2) (0.885758f, 0.464148f),
(float2) (0.885579f, 0.464488f),
(float2) (0.885401f, 0.464828f),
(float2) (0.885223f, 0.465167f),
(float2) (0.885044f, 0.465507f),
(float2) (0.884866f, 0.465847f),
(float2) (0.884687f, 0.466186f),
(float2) (0.884508f, 0.466525f),
(float2) (0.884329f, 0.466865f),
(float2) (0.884150f, 0.467204f),
(float2) (0.883970f, 0.467543f),
(float2) (0.883791f, 0.467882f),
(float2) (0.883611f, 0.468221f),
(float2) (0.883431f, 0.468560f),
(float2) (0.883252f, 0.468899f),
(float2) (0.883072f, 0.469238f),
(float2) (0.882892f, 0.469577f),
(float2) (0.882711f, 0.469916f),
(float2) (0.882531f, 0.470254f),
(float2) (0.882350f, 0.470593f),
(float2) (0.882170f, 0.470931f),
(float2) (0.881989f, 0.471270f),
(float2) (0.881808f, 0.471608f),
(float2) (0.881627f, 0.471947f),
(float2) (0.881446f, 0.472285f),
(float2) (0.881265f, 0.472623f),
(float2) (0.881083f, 0.472961f),
(float2) (0.880902f, 0.473299f),
(float2) (0.880720f, 0.473637f),
(float2) (0.880538f, 0.473975f),
(float2) (0.880356f, 0.474313f),
(float2) (0.880174f, 0.474650f),
(float2) (0.879992f, 0.474988f),
(float2) (0.879810f, 0.475326f),
(float2) (0.879627f, 0.475663f),
(float2) (0.879445f, 0.476001f),
(float2) (0.879262f, 0.476338f),
(float2) (0.879079f, 0.476675f),
(float2) (0.878896f, 0.477013f),
(float2) (0.878713f, 0.477350f),
(float2) (0.878530f, 0.477687f),
(float2) (0.878347f, 0.478024f),
(float2) (0.878163f, 0.478361f),
(float2) (0.877980f, 0.478698f),
(float2) (0.877796f, 0.479035f),
(float2) (0.877612f, 0.479371f),
(float2) (0.877428f, 0.479708f),
(float2) (0.877244f, 0.480045f),
(float2) (0.877060f, 0.480381f),
(float2) (0.876875f, 0.480718f),
(float2) (0.876691f, 0.481054f),
(float2) (0.876506f, 0.481391f),
(float2) (0.876321f, 0.481727f),
(float2) (0.876137f, 0.482063f),
(float2) (0.875952f, 0.482399f),
(float2) (0.875766f, 0.482735f),
(float2) (0.875581f, 0.483071f),
(float2) (0.875396f, 0.483407f),
(float2) (0.875210f, 0.483743f),
(float2) (0.875024f, 0.484079f),
(float2) (0.874839f, 0.484414f),
(float2) (0.874653f, 0.484750f),
(float2) (0.874467f, 0.485086f),
(float2) (0.874281f, 0.485421f),
(float2) (0.874094f, 0.485756f),
(float2) (0.873908f, 0.486092f),
(float2) (0.873721f, 0.486427f),
(float2) (0.873535f, 0.486762f),
(float2) (0.873348f, 0.487097f),
(float2) (0.873161f, 0.487432f),
(float2) (0.872974f, 0.487767f),
(float2) (0.872786f, 0.488102f),
(float2) (0.872599f, 0.488437f),
(float2) (0.872412f, 0.488772f),
(float2) (0.872224f, 0.489107f),
(float2) (0.872036f, 0.489441f),
(float2) (0.871848f, 0.489776f),
(float2) (0.871660f, 0.490110f),
(float2) (0.871472f, 0.490445f),
(float2) (0.871284f, 0.490779f),
(float2) (0.871096f, 0.491113f),
(float2) (0.870907f, 0.491447f),
(float2) (0.870719f, 0.491782f),
(float2) (0.870530f, 0.492116f),
(float2) (0.870341f, 0.492450f),
(float2) (0.870152f, 0.492783f),
(float2) (0.869963f, 0.493117f),
(float2) (0.869774f, 0.493451f),
(float2) (0.869584f, 0.493785f),
(float2) (0.869395f, 0.494118f),
(float2) (0.869205f, 0.494452f),
(float2) (0.869015f, 0.494785f),
(float2) (0.868825f, 0.495119f),
(float2) (0.868635f, 0.495452f),
(float2) (0.868445f, 0.495785f),
(float2) (0.868255f, 0.496118f),
(float2) (0.868064f, 0.496452f),
(float2) (0.867874f, 0.496785f),
(float2) (0.867683f, 0.497117f),
(float2) (0.867492f, 0.497450f),
(float2) (0.867302f, 0.497783f),
(float2) (0.867110f, 0.498116f),
(float2) (0.866919f, 0.498449f),
(float2) (0.866728f, 0.498781f),
(float2) (0.866537f, 0.499114f),
(float2) (0.866345f, 0.499446f),
(float2) (0.866153f, 0.499778f),
(float2) (0.865961f, 0.500111f),
(float2) (0.865770f, 0.500443f),
(float2) (0.865577f, 0.500775f),
(float2) (0.865385f, 0.501107f),
(float2) (0.865193f, 0.501439f),
(float2) (0.865000f, 0.501771f),
(float2) (0.864808f, 0.502103f),
(float2) (0.864615f, 0.502435f),
(float2) (0.864422f, 0.502766f),
(float2) (0.864229f, 0.503098f),
(float2) (0.864036f, 0.503430f),
(float2) (0.863843f, 0.503761f),
(float2) (0.863650f, 0.504092f),
(float2) (0.863456f, 0.504424f),
(float2) (0.863263f, 0.504755f),
(float2) (0.863069f, 0.505086f),
(float2) (0.862875f, 0.505417f),
(float2) (0.862681f, 0.505748f),
(float2) (0.862487f, 0.506079f),
(float2) (0.862293f, 0.506410f),
(float2) (0.862098f, 0.506741f),
(float2) (0.861904f, 0.507072f),
(float2) (0.861709f, 0.507402f),
(float2) (0.861514f, 0.507733f),
(float2) (0.861320f, 0.508064f),
(float2) (0.861125f, 0.508394f),
(float2) (0.860929f, 0.508724f),
(float2) (0.860734f, 0.509055f),
(float2) (0.860539f, 0.509385f),
(float2) (0.860343f, 0.509715f),
(float2) (0.860148f, 0.510045f),
(float2) (0.859952f, 0.510375f),
(float2) (0.859756f, 0.510705f),
(float2) (0.859560f, 0.511035f),
(float2) (0.859364f, 0.511365f),
(float2) (0.859168f, 0.511694f),
(float2) (0.858971f, 0.512024f),
(float2) (0.858775f, 0.512353f),
(float2) (0.858578f, 0.512683f),
(float2) (0.858381f, 0.513012f),
(float2) (0.858184f, 0.513342f),
(float2) (0.857987f, 0.513671f),
(float2) (0.857790f, 0.514000f),
(float2) (0.857593f, 0.514329f),
(float2) (0.857396f, 0.514658f),
(float2) (0.857198f, 0.514987f),
(float2) (0.857000f, 0.515316f),
(float2) (0.856803f, 0.515645f),
(float2) (0.856605f, 0.515973f),
(float2) (0.856407f, 0.516302f),
(float2) (0.856209f, 0.516630f),
(float2) (0.856010f, 0.516959f),
(float2) (0.855812f, 0.517287f),
(float2) (0.855613f, 0.517616f),
(float2) (0.855415f, 0.517944f),
(float2) (0.855216f, 0.518272f),
(float2) (0.855017f, 0.518600f),
(float2) (0.854818f, 0.518928f),
(float2) (0.854619f, 0.519256f),
(float2) (0.854419f, 0.519584f),
(float2) (0.854220f, 0.519912f),
(float2) (0.854020f, 0.520239f),
(float2) (0.853821f, 0.520567f),
(float2) (0.853621f, 0.520895f),
(float2) (0.853421f, 0.521222f),
(float2) (0.853221f, 0.521550f),
(float2) (0.853021f, 0.521877f),
(float2) (0.852821f, 0.522204f),
(float2) (0.852620f, 0.522531f),
(float2) (0.852420f, 0.522858f),
(float2) (0.852219f, 0.523185f),
(float2) (0.852018f, 0.523512f),
(float2) (0.851817f, 0.523839f),
(float2) (0.851616f, 0.524166f),
(float2) (0.851415f, 0.524493f),
(float2) (0.851214f, 0.524819f),
(float2) (0.851012f, 0.525146f),
(float2) (0.850811f, 0.525472f),
(float2) (0.850609f, 0.525799f),
(float2) (0.850407f, 0.526125f),
(float2) (0.850205f, 0.526451f),
(float2) (0.850003f, 0.526778f),
(float2) (0.849801f, 0.527104f),
(float2) (0.849599f, 0.527430f),
(float2) (0.849396f, 0.527756f),
(float2) (0.849194f, 0.528081f),
(float2) (0.848991f, 0.528407f),
(float2) (0.848788f, 0.528733f),
(float2) (0.848585f, 0.529059f),
(float2) (0.848382f, 0.529384f),
(float2) (0.848179f, 0.529710f),
(float2) (0.847976f, 0.530035f),
(float2) (0.847772f, 0.530360f),
(float2) (0.847569f, 0.530686f),
(float2) (0.847365f, 0.531011f),
(float2) (0.847161f, 0.531336f),
(float2) (0.846957f, 0.531661f),
(float2) (0.846753f, 0.531986f),
(float2) (0.846549f, 0.532311f),
(float2) (0.846345f, 0.532635f),
(float2) (0.846140f, 0.532960f),
(float2) (0.845936f, 0.533285f),
(float2) (0.845731f, 0.533609f),
(float2) (0.845526f, 0.533934f),
(float2) (0.845322f, 0.534258f),
(float2) (0.845116f, 0.534582f),
(float2) (0.844911f, 0.534906f),
(float2) (0.844706f, 0.535231f),
(float2) (0.844501f, 0.535555f),
(float2) (0.844295f, 0.535879f),
(float2) (0.844089f, 0.536203f),
(float2) (0.843884f, 0.536526f),
(float2) (0.843678f, 0.536850f),
(float2) (0.843472f, 0.537174f),
(float2) (0.843265f, 0.537497f),
(float2) (0.843059f, 0.537821f),
(float2) (0.842853f, 0.538144f),
(float2) (0.842646f, 0.538468f),
(float2) (0.842440f, 0.538791f),
(float2) (0.842233f, 0.539114f),
(float2) (0.842026f, 0.539437f),
(float2) (0.841819f, 0.539760f),
(float2) (0.841612f, 0.540083f),
(float2) (0.841404f, 0.540406f),
(float2) (0.841197f, 0.540729f),
(float2) (0.840989f, 0.541052f),
(float2) (0.840782f, 0.541374f),
(float2) (0.840574f, 0.541697f),
(float2) (0.840366f, 0.542019f),
(float2) (0.840158f, 0.542342f),
(float2) (0.839950f, 0.542664f),
(float2) (0.839742f, 0.542986f),
(float2) (0.839533f, 0.543308f),
(float2) (0.839325f, 0.543630f),
(float2) (0.839116f, 0.543952f),
(float2) (0.838907f, 0.544274f),
(float2) (0.838698f, 0.544596f),
(float2) (0.838489f, 0.544918f),
(float2) (0.838280f, 0.545240f),
(float2) (0.838071f, 0.545561f),
(float2) (0.837862f, 0.545883f),
(float2) (0.837652f, 0.546204f),
(float2) (0.837442f, 0.546525f),
(float2) (0.837233f, 0.546847f),
(float2) (0.837023f, 0.547168f),
(float2) (0.836813f, 0.547489f),
(float2) (0.836603f, 0.547810f),
(float2) (0.836392f, 0.548131f),
(float2) (0.836182f, 0.548452f),
(float2) (0.835972f, 0.548773f),
(float2) (0.835761f, 0.549093f),
(float2) (0.835550f, 0.549414f),
(float2) (0.835339f, 0.549735f),
(float2) (0.835128f, 0.550055f),
(float2) (0.834917f, 0.550375f),
(float2) (0.834706f, 0.550696f),
(float2) (0.834495f, 0.551016f),
(float2) (0.834283f, 0.551336f),
(float2) (0.834072f, 0.551656f),
(float2) (0.833860f, 0.551976f),
(float2) (0.833648f, 0.552296f),
(float2) (0.833436f, 0.552616f),
(float2) (0.833224f, 0.552936f),
(float2) (0.833012f, 0.553255f),
(float2) (0.832799f, 0.553575f),
(float2) (0.832587f, 0.553894f),
(float2) (0.832374f, 0.554214f),
(float2) (0.832162f, 0.554533f),
(float2) (0.831949f, 0.554852f),
(float2) (0.831736f, 0.555171f),
(float2) (0.831523f, 0.555490f),
(float2) (0.831310f, 0.555809f),
(float2) (0.831096f, 0.556128f),
(float2) (0.830883f, 0.556447f),
(float2) (0.830669f, 0.556766f),
(float2) (0.830456f, 0.557085f),
(float2) (0.830242f, 0.557403f),
(float2) (0.830028f, 0.557722f),
(float2) (0.829814f, 0.558040f),
(float2) (0.829600f, 0.558359f),
(float2) (0.829385f, 0.558677f),
(float2) (0.829171f, 0.558995f),
(float2) (0.828957f, 0.559313f),
(float2) (0.828742f, 0.559631f),
(float2) (0.828527f, 0.559949f),
(float2) (0.828312f, 0.560267f),
(float2) (0.828097f, 0.560585f),
(float2) (0.827882f, 0.560902f),
(float2) (0.827667f, 0.561220f),
(float2) (0.827451f, 0.561537f),
(float2) (0.827236f, 0.561855f),
(float2) (0.827020f, 0.562172f),
(float2) (0.826804f, 0.562490f),
(float2) (0.826589f, 0.562807f),
(float2) (0.826373f, 0.563124f),
(float2) (0.826156f, 0.563441f),
(float2) (0.825940f, 0.563758f),
(float2) (0.825724f, 0.564075f),
(float2) (0.825507f, 0.564391f),
(float2) (0.825291f, 0.564708f),
(float2) (0.825074f, 0.565025f),
(float2) (0.824857f, 0.565341f),
(float2) (0.824640f, 0.565658f),
(float2) (0.824423f, 0.565974f),
(float2) (0.824206f, 0.566290f),
(float2) (0.823989f, 0.566606f),
(float2) (0.823771f, 0.566923f),
(float2) (0.823553f, 0.567239f),
(float2) (0.823336f, 0.567555f),
(float2) (0.823118f, 0.567870f),
(float2) (0.822900f, 0.568186f),
(float2) (0.822682f, 0.568502f),
(float2) (0.822464f, 0.568817f),
(float2) (0.822245f, 0.569133f),
(float2) (0.822027f, 0.569448f),
(float2) (0.821808f, 0.569764f),
(float2) (0.821590f, 0.570079f),
(float2) (0.821371f, 0.570394f),
(float2) (0.821152f, 0.570709f),
(float2) (0.820933f, 0.571024f),
(float2) (0.820714f, 0.571339f),
(float2) (0.820495f, 0.571654f),
(float2) (0.820275f, 0.571969f),
(float2) (0.820056f, 0.572284f),
(float2) (0.819836f, 0.572598f),
(float2) (0.819616f, 0.572913f),
(float2) (0.819396f, 0.573227f),
(float2) (0.819176f, 0.573542f),
(float2) (0.818956f, 0.573856f),
(float2) (0.818736f, 0.574170f),
(float2) (0.818516f, 0.574484f),
(float2) (0.818295f, 0.574798f),
(float2) (0.818075f, 0.575112f),
(float2) (0.817854f, 0.575426f),
(float2) (0.817633f, 0.575740f),
(float2) (0.817412f, 0.576053f),
(float2) (0.817191f, 0.576367f),
(float2) (0.816970f, 0.576680f),
(float2) (0.816749f, 0.576994f),
(float2) (0.816527f, 0.577307f),
(float2) (0.816306f, 0.577620f),
(float2) (0.816084f, 0.577933f),
(float2) (0.815862f, 0.578247f),
(float2) (0.815640f, 0.578560f),
(float2) (0.815418f, 0.578872f),
(float2) (0.815196f, 0.579185f),
(float2) (0.814974f, 0.579498f),
(float2) (0.814751f, 0.579811f),
(float2) (0.814529f, 0.580123f),
(float2) (0.814306f, 0.580436f),
(float2) (0.814083f, 0.580748f),
(float2) (0.813860f, 0.581060f),
(float2) (0.813637f, 0.581373f),
(float2) (0.813414f, 0.581685f),
(float2) (0.813191f, 0.581997f),
(float2) (0.812968f, 0.582309f),
(float2) (0.812744f, 0.582621f),
(float2) (0.812521f, 0.582932f),
(float2) (0.812297f, 0.583244f),
(float2) (0.812073f, 0.583556f),
(float2) (0.811849f, 0.583867f),
(float2) (0.811625f, 0.584179f),
(float2) (0.811401f, 0.584490f),
(float2) (0.811177f, 0.584801f),
(float2) (0.810952f, 0.585113f),
(float2) (0.810728f, 0.585424f),
(float2) (0.810503f, 0.585735f),
(float2) (0.810278f, 0.586046f),
(float2) (0.810053f, 0.586356f),
(float2) (0.809828f, 0.586667f),
(float2) (0.809603f, 0.586978f),
(float2) (0.809378f, 0.587288f),
(float2) (0.809152f, 0.587599f),
(float2) (0.808927f, 0.587909f),
(float2) (0.808701f, 0.588220f),
(float2) (0.808475f, 0.588530f),
(float2) (0.808250f, 0.588840f),
(float2) (0.808024f, 0.589150f),
(float2) (0.807797f, 0.589460f),
(float2) (0.807571f, 0.589770f),
(float2) (0.807345f, 0.590080f),
(float2) (0.807118f, 0.590390f),
(float2) (0.806892f, 0.590699f),
(float2) (0.806665f, 0.591009f),
(float2) (0.806438f, 0.591318f),
(float2) (0.806211f, 0.591628f),
(float2) (0.805984f, 0.591937f),
(float2) (0.805757f, 0.592246f),
(float2) (0.805530f, 0.592555f),
(float2) (0.805302f, 0.592864f),
(float2) (0.805075f, 0.593173f),
(float2) (0.804847f, 0.593482f),
(float2) (0.804619f, 0.593791f),
(float2) (0.804392f, 0.594099f),
(float2) (0.804164f, 0.594408f),
(float2) (0.803935f, 0.594717f),
(float2) (0.803707f, 0.595025f),
(float2) (0.803479f, 0.595333f),
(float2) (0.803250f, 0.595642f),
(float2) (0.803022f, 0.595950f),
(float2) (0.802793f, 0.596258f),
(float2) (0.802564f, 0.596566f),
(float2) (0.802335f, 0.596874f),
(float2) (0.802106f, 0.597181f),
(float2) (0.801877f, 0.597489f),
(float2) (0.801648f, 0.597797f),
(float2) (0.801418f, 0.598104f),
(float2) (0.801189f, 0.598412f),
(float2) (0.800959f, 0.598719f),
(float2) (0.800729f, 0.599026f),
(float2) (0.800499f, 0.599334f),
(float2) (0.800269f, 0.599641f),
(float2) (0.800039f, 0.599948f),
(float2) (0.799809f, 0.600255f),
(float2) (0.799579f, 0.600561f),
(float2) (0.799348f, 0.600868f),
(float2) (0.799118f, 0.601175f),
(float2) (0.798887f, 0.601481f),
(float2) (0.798656f, 0.601788f),
(float2) (0.798425f, 0.602094f),
(float2) (0.798194f, 0.602400f),
(float2) (0.797963f, 0.602707f),
(float2) (0.797732f, 0.603013f),
(float2) (0.797500f, 0.603319f),
(float2) (0.797269f, 0.603625f),
(float2) (0.797037f, 0.603931f),
(float2) (0.796805f, 0.604236f),
(float2) (0.796573f, 0.604542f),
(float2) (0.796341f, 0.604848f),
(float2) (0.796109f, 0.605153f),
(float2) (0.795877f, 0.605459f),
(float2) (0.795644f, 0.605764f),
(float2) (0.795412f, 0.606069f),
(float2) (0.795179f, 0.606374f),
(float2) (0.794947f, 0.606679f),
(float2) (0.794714f, 0.606984f),
(float2) (0.794481f, 0.607289f),
(float2) (0.794248f, 0.607594f),
(float2) (0.794015f, 0.607899f),
(float2) (0.793781f, 0.608203f),
(float2) (0.793548f, 0.608508f),
(float2) (0.793314f, 0.608812f),
(float2) (0.793081f, 0.609116f),
(float2) (0.792847f, 0.609421f),
(float2) (0.792613f, 0.609725f),
(float2) (0.792379f, 0.610029f),
(float2) (0.792145f, 0.610333f),
(float2) (0.791911f, 0.610637f),
(float2) (0.791676f, 0.610941f),
(float2) (0.791442f, 0.611244f),
(float2) (0.791207f, 0.611548f),
(float2) (0.790973f, 0.611851f),
(float2) (0.790738f, 0.612155f),
(float2) (0.790503f, 0.612458f),
(float2) (0.790268f, 0.612762f),
(float2) (0.790033f, 0.613065f),
(float2) (0.789797f, 0.613368f),
(float2) (0.789562f, 0.613671f),
(float2) (0.789327f, 0.613974f),
(float2) (0.789091f, 0.614276f),
(float2) (0.788855f, 0.614579f),
(float2) (0.788619f, 0.614882f),
(float2) (0.788383f, 0.615184f),
(float2) (0.788147f, 0.615487f),
(float2) (0.787911f, 0.615789f),
(float2) (0.787675f, 0.616091f),
(float2) (0.787438f, 0.616394f),
(float2) (0.787202f, 0.616696f),
(float2) (0.786965f, 0.616998f),
(float2) (0.786728f, 0.617300f),
(float2) (0.786491f, 0.617601f),
(float2) (0.786254f, 0.617903f),
(float2) (0.786017f, 0.618205f),
(float2) (0.785780f, 0.618506f),
(float2) (0.785543f, 0.618808f),
(float2) (0.785305f, 0.619109f),
(float2) (0.785067f, 0.619410f),
(float2) (0.784830f, 0.619711f),
(float2) (0.784592f, 0.620013f),
(float2) (0.784354f, 0.620314f),
(float2) (0.784116f, 0.620614f),
(float2) (0.783878f, 0.620915f),
(float2) (0.783639f, 0.621216f),
(float2) (0.783401f, 0.621517f),
(float2) (0.783163f, 0.621817f),
(float2) (0.782924f, 0.622118f),
(float2) (0.782685f, 0.622418f),
(float2) (0.782446f, 0.622718f),
(float2) (0.782207f, 0.623018f),
(float2) (0.781968f, 0.623318f),
(float2) (0.781729f, 0.623618f),
(float2) (0.781490f, 0.623918f),
(float2) (0.781250f, 0.624218f),
(float2) (0.781011f, 0.624518f),
(float2) (0.780771f, 0.624817f),
(float2) (0.780531f, 0.625117f),
(float2) (0.780291f, 0.625416f),
(float2) (0.780051f, 0.625716f),
(float2) (0.779811f, 0.626015f),
(float2) (0.779571f, 0.626314f),
(float2) (0.779330f, 0.626613f),
(float2) (0.779090f, 0.626912f),
(float2) (0.778849f, 0.627211f),
(float2) (0.778609f, 0.627510f),
(float2) (0.778368f, 0.627808f),
(float2) (0.778127f, 0.628107f),
(float2) (0.777886f, 0.628406f),
(float2) (0.777645f, 0.628704f),
(float2) (0.777403f, 0.629002f),
(float2) (0.777162f, 0.629301f),
(float2) (0.776921f, 0.629599f),
(float2) (0.776679f, 0.629897f),
(float2) (0.776437f, 0.630195f),
(float2) (0.776195f, 0.630493f),
(float2) (0.775953f, 0.630790f),
(float2) (0.775711f, 0.631088f),
(float2) (0.775469f, 0.631386f),
(float2) (0.775227f, 0.631683f),
(float2) (0.774984f, 0.631980f),
(float2) (0.774742f, 0.632278f),
(float2) (0.774499f, 0.632575f),
(float2) (0.774256f, 0.632872f),
(float2) (0.774014f, 0.633169f),
(float2) (0.773771f, 0.633466f),
(float2) (0.773527f, 0.633763f),
(float2) (0.773284f, 0.634060f),
(float2) (0.773041f, 0.634356f),
(float2) (0.772797f, 0.634653f),
(float2) (0.772554f, 0.634949f),
(float2) (0.772310f, 0.635246f),
(float2) (0.772066f, 0.635542f),
(float2) (0.771822f, 0.635838f),
(float2) (0.771578f, 0.636134f),
(float2) (0.771334f, 0.636430f),
(float2) (0.771090f, 0.636726f),
(float2) (0.770846f, 0.637022f),
(float2) (0.770601f, 0.637318f),
(float2) (0.770357f, 0.637613f),
(float2) (0.770112f, 0.637909f),
(float2) (0.769867f, 0.638204f),
(float2) (0.769622f, 0.638499f),
(float2) (0.769377f, 0.638795f),
(float2) (0.769132f, 0.639090f),
(float2) (0.768887f, 0.639385f),
(float2) (0.768641f, 0.639680f),
(float2) (0.768396f, 0.639975f),
(float2) (0.768150f, 0.640270f),
(float2) (0.767905f, 0.640564f),
(float2) (0.767659f, 0.640859f),
(float2) (0.767413f, 0.641153f),
(float2) (0.767167f, 0.641448f),
(float2) (0.766921f, 0.641742f),
(float2) (0.766674f, 0.642036f),
(float2) (0.766428f, 0.642330f),
(float2) (0.766181f, 0.642624f),
(float2) (0.765935f, 0.642918f),
(float2) (0.765688f, 0.643212f),
(float2) (0.765441f, 0.643506f),
(float2) (0.765194f, 0.643799f),
(float2) (0.764947f, 0.644093f),
(float2) (0.764700f, 0.644386f),
(float2) (0.764453f, 0.644680f),
(float2) (0.764205f, 0.644973f),
(float2) (0.763958f, 0.645266f),
(float2) (0.763710f, 0.645559f),
(float2) (0.763462f, 0.645852f),
(float2) (0.763215f, 0.646145f),
(float2) (0.762967f, 0.646438f),
(float2) (0.762719f, 0.646731f),
(float2) (0.762470f, 0.647023f),
(float2) (0.762222f, 0.647316f),
(float2) (0.761974f, 0.647608f),
(float2) (0.761725f, 0.647900f),
(float2) (0.761476f, 0.648193f),
(float2) (0.761228f, 0.648485f),
(float2) (0.760979f, 0.648777f),
(float2) (0.760730f, 0.649069f),
(float2) (0.760481f, 0.649361f),
(float2) (0.760232f, 0.649652f),
(float2) (0.759982f, 0.649944f),
(float2) (0.759733f, 0.650235f),
(float2) (0.759483f, 0.650527f),
(float2) (0.759234f, 0.650818f),
(float2) (0.758984f, 0.651109f),
(float2) (0.758734f, 0.651401f),
(float2) (0.758484f, 0.651692f),
(float2) (0.758234f, 0.651983f),
(float2) (0.757984f, 0.652274f),
(float2) (0.757733f, 0.652564f),
(float2) (0.757483f, 0.652855f),
(float2) (0.757232f, 0.653146f),
(float2) (0.756982f, 0.653436f),
(float2) (0.756731f, 0.653726f),
(float2) (0.756480f, 0.654017f),
(float2) (0.756229f, 0.654307f),
(float2) (0.755978f, 0.654597f),
(float2) (0.755727f, 0.654887f),
(float2) (0.755475f, 0.655177f),
(float2) (0.755224f, 0.655467f),
(float2) (0.754972f, 0.655757f),
(float2) (0.754721f, 0.656046f),
(float2) (0.754469f, 0.656336f),
(float2) (0.754217f, 0.656625f),
(float2) (0.753965f, 0.656914f),
(float2) (0.753713f, 0.657204f),
(float2) (0.753461f, 0.657493f),
(float2) (0.753208f, 0.657782f),
(float2) (0.752956f, 0.658071f),
(float2) (0.752704f, 0.658360f),
(float2) (0.752451f, 0.658648f),
(float2) (0.752198f, 0.658937f),
(float2) (0.751945f, 0.659226f),
(float2) (0.751692f, 0.659514f),
(float2) (0.751439f, 0.659802f),
(float2) (0.751186f, 0.660091f),
(float2) (0.750933f, 0.660379f),
(float2) (0.750679f, 0.660667f),
(float2) (0.750426f, 0.660955f),
(float2) (0.750172f, 0.661243f),
(float2) (0.749918f, 0.661531f),
(float2) (0.749664f, 0.661818f),
(float2) (0.749410f, 0.662106f),
(float2) (0.749156f, 0.662393f),
(float2) (0.748902f, 0.662681f),
(float2) (0.748648f, 0.662968f),
(float2) (0.748393f, 0.663255f),
(float2) (0.748139f, 0.663542f),
(float2) (0.747884f, 0.663829f),
(float2) (0.747629f, 0.664116f),
(float2) (0.747375f, 0.664403f),
(float2) (0.747120f, 0.664690f),
(float2) (0.746864f, 0.664976f),
(float2) (0.746609f, 0.665263f),
(float2) (0.746354f, 0.665549f),
(float2) (0.746099f, 0.665836f),
(float2) (0.745843f, 0.666122f),
(float2) (0.745587f, 0.666408f),
(float2) (0.745332f, 0.666694f),
(float2) (0.745076f, 0.666980f),
(float2) (0.744820f, 0.667266f),
(float2) (0.744564f, 0.667551f),
(float2) (0.744308f, 0.667837f),
(float2) (0.744051f, 0.668123f),
(float2) (0.743795f, 0.668408f),
(float2) (0.743538f, 0.668693f),
(float2) (0.743282f, 0.668979f),
(float2) (0.743025f, 0.669264f),
(float2) (0.742768f, 0.669549f),
(float2) (0.742511f, 0.669834f),
(float2) (0.742254f, 0.670118f),
(float2) (0.741997f, 0.670403f),
(float2) (0.741740f, 0.670688f),
(float2) (0.741482f, 0.670972f),
(float2) (0.741225f, 0.671257f),
(float2) (0.740967f, 0.671541f),
(float2) (0.740710f, 0.671825f),
(float2) (0.740452f, 0.672110f),
(float2) (0.740194f, 0.672394f),
(float2) (0.739936f, 0.672678f),
(float2) (0.739678f, 0.672961f),
(float2) (0.739419f, 0.673245f),
(float2) (0.739161f, 0.673529f),
(float2) (0.738902f, 0.673812f),
(float2) (0.738644f, 0.674096f),
(float2) (0.738385f, 0.674379f),
(float2) (0.738126f, 0.674662f),
(float2) (0.737867f, 0.674946f),
(float2) (0.737608f, 0.675229f),
(float2) (0.737349f, 0.675512f),
(float2) (0.737090f, 0.675794f),
(float2) (0.736831f, 0.676077f),
(float2) (0.736571f, 0.676360f),
(float2) (0.736312f, 0.676642f),
(float2) (0.736052f, 0.676925f),
(float2) (0.735792f, 0.677207f),
(float2) (0.735532f, 0.677490f),
(float2) (0.735272f, 0.677772f),
(float2) (0.735012f, 0.678054f),
(float2) (0.734752f, 0.678336f),
(float2) (0.734492f, 0.678618f),
(float2) (0.734231f, 0.678899f),
(float2) (0.733971f, 0.679181f),
(float2) (0.733710f, 0.679463f),
(float2) (0.733449f, 0.679744f),
(float2) (0.733189f, 0.680025f),
(float2) (0.732928f, 0.680307f),
(float2) (0.732667f, 0.680588f),
(float2) (0.732405f, 0.680869f),
(float2) (0.732144f, 0.681150f),
(float2) (0.731883f, 0.681431f),
(float2) (0.731621f, 0.681711f),
(float2) (0.731360f, 0.681992f),
(float2) (0.731098f, 0.682273f),
(float2) (0.730836f, 0.682553f),
(float2) (0.730574f, 0.682834f),
(float2) (0.730312f, 0.683114f),
(float2) (0.730050f, 0.683394f),
(float2) (0.729788f, 0.683674f),
(float2) (0.729525f, 0.683954f),
(float2) (0.729263f, 0.684234f),
(float2) (0.729000f, 0.684514f),
(float2) (0.728737f, 0.684793f),
(float2) (0.728475f, 0.685073f),
(float2) (0.728212f, 0.685352f),
(float2) (0.727949f, 0.685632f),
(float2) (0.727686f, 0.685911f),
(float2) (0.727422f, 0.686190f),
(float2) (0.727159f, 0.686469f),
(float2) (0.726896f, 0.686748f),
(float2) (0.726632f, 0.687027f),
(float2) (0.726368f, 0.687306f),
(float2) (0.726105f, 0.687584f),
(float2) (0.725841f, 0.687863f),
(float2) (0.725577f, 0.688141f),
(float2) (0.725313f, 0.688420f),
(float2) (0.725049f, 0.688698f),
(float2) (0.724784f, 0.688976f),
(float2) (0.724520f, 0.689254f),
(float2) (0.724255f, 0.689532f),
(float2) (0.723991f, 0.689810f),
(float2) (0.723726f, 0.690087f),
(float2) (0.723461f, 0.690365f),
(float2) (0.723196f, 0.690643f),
(float2) (0.722931f, 0.690920f),
(float2) (0.722666f, 0.691197f),
(float2) (0.722401f, 0.691475f),
(float2) (0.722135f, 0.691752f),
(float2) (0.721870f, 0.692029f),
(float2) (0.721604f, 0.692306f),
(float2) (0.721339f, 0.692582f),
(float2) (0.721073f, 0.692859f),
(float2) (0.720807f, 0.693136f),
(float2) (0.720541f, 0.693412f),
(float2) (0.720275f, 0.693689f),
(float2) (0.720009f, 0.693965f),
(float2) (0.719742f, 0.694241f),
(float2) (0.719476f, 0.694517f),
(float2) (0.719209f, 0.694793f),
(float2) (0.718943f, 0.695069f),
(float2) (0.718676f, 0.695345f),
(float2) (0.718409f, 0.695621f),
(float2) (0.718142f, 0.695896f),
(float2) (0.717875f, 0.696172f),
(float2) (0.717608f, 0.696447f),
(float2) (0.717341f, 0.696722f),
(float2) (0.717073f, 0.696998f),
(float2) (0.716806f, 0.697273f),
(float2) (0.716538f, 0.697548f),
(float2) (0.716271f, 0.697823f),
(float2) (0.716003f, 0.698097f),
(float2) (0.715735f, 0.698372f),
(float2) (0.715467f, 0.698647f),
(float2) (0.715199f, 0.698921f),
(float2) (0.714931f, 0.699195f),
(float2) (0.714662f, 0.699470f),
(float2) (0.714394f, 0.699744f),
(float2) (0.714125f, 0.700018f),
(float2) (0.713857f, 0.700292f),
(float2) (0.713588f, 0.700566f),
(float2) (0.713319f, 0.700839f),
(float2) (0.713050f, 0.701113f),
(float2) (0.712781f, 0.701386f),
(float2) (0.712512f, 0.701660f),
(float2) (0.712243f, 0.701933f),
(float2) (0.711973f, 0.702206f),
(float2) (0.711704f, 0.702480f),
(float2) (0.711434f, 0.702753f),
(float2) (0.711165f, 0.703026f),
(float2) (0.710895f, 0.703298f),
(float2) (0.710625f, 0.703571f),
(float2) (0.710355f, 0.703844f),
(float2) (0.710085f, 0.704116f),
(float2) (0.709815f, 0.704389f),
(float2) (0.709544f, 0.704661f),
(float2) (0.709274f, 0.704933f),
(float2) (0.709003f, 0.705205f),
(float2) (0.708733f, 0.705477f),
(float2) (0.708462f, 0.705749f),
(float2) (0.708191f, 0.706021f),
(float2) (0.707920f, 0.706292f),
(float2) (0.707649f, 0.706564f),
(float2) (0.707378f, 0.706835f),
(float2) (0.707107f, 0.707107f),
};

float2 cosisin(float arg)
{
#if defined USE_SIN_COS_LOOKUP_TABLE
    uint14_t arg_int = convert_int_rte(arg * (4 * NR_ENTRIES / M_PI_F));
    uint11_t index   = arg_int & (NR_ENTRIES - 1);
    uint3_t  octant  = arg_int >> BITS;

    if (BIT(octant, 0)) {
        index = ~index & (NR_ENTRIES - 1);
    }

    float2 val = cosisin_table[index];

    if (BIT(octant, 0) ^ BIT(octant, 1)) {
        val = val.yx;
    }

    if (BIT(octant, 1) ^ BIT(octant, 2)) {
        val.x = -val.x;
    }

    if (BIT(octant, 2)) {
        val.y = -val.y;
    }

    return val;
#else
    return (float2) (cos(arg), sin(arg));
#endif
}

#endif
